require_relative 'lib/tallty_import_export/version'

Gem::Specification.new do |spec|
  spec.name          = "tallty_import_export"
  spec.version       = TalltyImportExport::VERSION
  spec.authors       = ["liyijie"]
  spec.email         = ["liyijie825@gmail.com"]

  spec.summary       = %q{ import & export for active_record with simple_controller }
  spec.description   = %q{ import & export for active_record with simple_controller }
  spec.homepage      = "https://git.tallty.com/open-source/tallty_import_export"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.platform    = Gem::Platform::RUBY

  # Specify which files should be added to the gem when it is released. The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency('zip-zip')
  spec.add_dependency('caxlsx')
  spec.add_dependency('roo')
  spec.add_dependency('roo-xls')
  spec.add_dependency('tallty_form')
  spec.add_dependency('activesupport')
  spec.add_dependency('redis')
  spec.add_dependency('redis-objects')
  spec.add_dependency 'attr_json'
end
