module TalltyImportExport
  module Common
    extend ActiveSupport::Concern

    included do
    end

    module ClassMethods
      def model_headers(**args)
        columns.map do |column|
          {
            key: column.name,
            name: column.comment || column.name,
            attr_type: column.type,
            format: column.type == :string ? :string : nil,
            primary_key: column.name == 'id',
          }
        end
      end
    end
  end
end
